<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title> 判断浏览器已滚动到底部</title>
    <style>
        html{
            height: 1000px;
        }
        .box{
            height: 100px;
            width: 200px;
            background:red;
        }
    </style>
</head>
<body>
    <div class="box">
           
    </div>
</body>
<script>
    window.addEventListener("scroll", () => {
        let {
            scrollTop,
            scrollHeight,
            clientHeight
        } = document.scrollingElement;
        
        // 当前滚动高度 + 视口高度 >= 文档总高度
        if (scrollTop + clientHeight >= scrollHeight) {
            console.log("已到达底部");
        }
    });
</script>
</html>